summaryrefslogtreecommitdiff
path: root/yarns/obnam.sh
diff options
context:
space:
mode:
authorLars Wirzenius <liw@liw.fi>2014-04-08 20:50:02 +0100
committerLars Wirzenius <liw@liw.fi>2014-04-08 21:04:24 +0100
commitdeebee352a92b6959fd41c914bb3eedea22ea740 (patch)
treed85fdd7f552557bed79e391497e3ece933231479 /yarns/obnam.sh
parent2c440924e3ef26b27eef82ab8ce0c0a492ca3069 (diff)
downloadobnam-deebee352a92b6959fd41c914bb3eedea22ea740.tar.gz
Bugfix: excluded files stayed in new generation
Diffstat (limited to 'yarns/obnam.sh')
-rw-r--r--yarns/obnam.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/yarns/obnam.sh b/yarns/obnam.sh
index 54d76c02..a6bae7e6 100644
--- a/yarns/obnam.sh
+++ b/yarns/obnam.sh
@@ -16,6 +16,15 @@
# =*= License: GPL-3+ =*=
+# A helper to print an error message and terminate.
+
+die()
+{
+ printf '%s\n' -- "$*" 1>&2
+ exit 1
+}
+
+
# Run Obnam in a safe way that ignore's any configuration files
# outside the test. The first argument MUST be the client name. The
# configuration file $DATADIR/$1.conf is used, if it exists. In addition,